> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vocalistic.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Conversation



## OpenAPI

````yaml /api-reference/openapi.json get /v1/conversations/{conversation_id}
openapi: 3.1.0
info:
  description: ''
  title: Vocalistic API
  version: 1.0.0
servers:
  - url: https://api.vocalistic.ai
security: []
paths:
  /v1/conversations/{conversation_id}:
    get:
      tags:
        - Agents
      summary: Get Conversation
      operationId: apps_agents_api_get_conversation
      parameters:
        - in: path
          name: conversation_id
          required: true
          schema:
            maxLength: 64
            pattern: ^[A-Za-z0-9_\-]+$
            title: Conversation Id
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConversationOut'
          description: OK
      security:
        - ApiKeyAuth: []
        - UserSessionAuth: []
components:
  schemas:
    ConversationOut:
      properties:
        agent_id:
          title: Agent Id
          type: string
        collected:
          additionalProperties: true
          title: Collected
          type: object
        created_at:
          format: date-time
          title: Created At
          type: string
        id:
          title: Id
          type: string
        last_message_at:
          format: date-time
          title: Last Message At
          type: string
        messages:
          items:
            $ref: '#/components/schemas/MessageOut'
          title: Messages
          type: array
        status:
          title: Status
          type: string
        test:
          title: Test
          type: boolean
      required:
        - id
        - agent_id
        - status
        - test
        - collected
        - messages
        - created_at
        - last_message_at
      title: ConversationOut
      type: object
    MessageOut:
      properties:
        content:
          title: Content
          type: string
        created_at:
          format: date-time
          title: Created At
          type: string
        role:
          title: Role
          type: string
        status:
          title: Status
          type: string
      required:
        - role
        - content
        - status
        - created_at
      title: MessageOut
      type: object

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.